## org.apache.lucene.analysis.el
Class GreekAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.el.GreekAnalyzer

All Implemented Interfaces:
  Closeable

    public final class GreekAnalyzer

extends org.apache.lucene.analysis.StopwordAnalyzerBase

`Analyzer` for the Greek language.

Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

You must specify the required `Version` compatibility when creating GreekAnalyzer:

- As of 3.1, StandardFilter and GreekStemmer are used by default.
- As of 2.9, StopFilter preserves position increments

NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Field Summary
`static String` `DEFAULT_STOPWORD_FILE` File containing default Greek stopwords.

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`GreekAnalyzer(org.apache.lucene.util.Version matchVersion)` Builds an analyzer with the default stop words.
`GreekAnalyzer(org.apache.lucene.util.Version matchVersion, Map<?,?> stopwords)` Deprecated. use `GreekAnalyzer(Version, Set)` instead
`GreekAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords)` Builds an analyzer with the given stop words.
`GreekAnalyzer(org.apache.lucene.util.Version matchVersion, String... stopwords)` Deprecated. use `GreekAnalyzer(Version, Set)` instead

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static Set<?>` `getDefaultStopSet()` Returns a set of default Greek-stopwords

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Greek stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### GreekAnalyzer

    public GreekAnalyzer(org.apache.lucene.util.Version matchVersion)

  Builds an analyzer with the default stop words.

  Parameters:
    `matchVersion` - Lucene compatibility version, See above

### GreekAnalyzer

    public GreekAnalyzer(org.apache.lucene.util.Version matchVersion,
                         Set<?> stopwords)

  Builds an analyzer with the given stop words.

  NOTE: The stopwords set should be pre-processed with the logic of `GreekLowerCaseFilter` for best results.

  Parameters:
    `matchVersion` - Lucene compatibility version, See above
    `stopwords` - a stopword set

### GreekAnalyzer

    @Deprecated
    public GreekAnalyzer(org.apache.lucene.util.Version matchVersion,
                                    String... stopwords)

  Deprecated. use `GreekAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` - Array of stopwords to use.

### GreekAnalyzer

    @Deprecated
    public GreekAnalyzer(org.apache.lucene.util.Version matchVersion,
                                    Map<?,?> stopwords)

  Deprecated. use `GreekAnalyzer(Version, Set)` instead

  Builds an analyzer with the given stop words.

Method Detail

### getDefaultStopSet

    public static final Set<?> getDefaultStopSet()

  Returns a set of default Greek-stopwords

  Returns:
    a set of default Greek-stopwords

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`
  Returns:
    `ReusableAnalyzerBase.TokenStreamComponents` built from a `StandardTokenizer` filtered with `GreekLowerCaseFilter`, `StandardFilter`, `StopFilter`, and `GreekStemFilter`